<?php

namespace App\Models;

use App\Traits\Uuid;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Konferensi extends Model
{
    use HasFactory;
    use Uuid;

    public $incrementing = false;
    protected $table = 'konferensi';
    protected $keyType = 'string';

    protected $fillable = [
        'id',
        'nama'
    ];

    public function rKonferensi() {
        return $this->belongsToMany(Registrasi::class, 'id_konferensi', 'id');
    }

    public function pkKonferensiPeserta() {
        return $this->hasMany(Konferensi::class, 'id_konferensi', 'id');
    }
}
